Skip to main content
POST
/
action
/
content_audit_generate_audit_action
[CM4] Content Audit
curl --request POST \
  --url https://api-lr.agent.ai/v1/action/content_audit_generate_audit_action \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "website_url": "<string>",
  "audit_scope": "full_site",
  "optimization_focus": "balanced",
  "output_variable_name": "content_audit"
}
'
{
  "status": 123,
  "response": {}
}

Authorizations

Authorization
string
header
required

Bearer token from your account (https://agent.ai/user/integrations#api)

Body

application/json
website_url
string
required

Full URL including https:// (e.g. https://example.com).

audit_scope
enum<string>
default:full_site
required
Available options:
full_site,
blog_only,
custom_path
optimization_focus
enum<string>
default:balanced
required
Available options:
seo_focused,
aeo_focused,
balanced
output_variable_name
string
default:content_audit
required

Variable name for the result.

Pattern: ^[a-zA-Z][a-zA-Z0-9_]*$

Response

Successful response

status
integer<int32>

HTTP status code of the action response

response
object

Response data from the action